# Spec IteratorProxy
Proxy that is implemented by an iterator.

Extends | Proxy
All Extended | Proxy
Defined in | <seqan/basic.h>
Signature | `template <typename TIterator> class Proxy<IteratorProxy<TIterator> >;`

## Template Parameters

`TIterator` | The iterator to store internally.

## Interface Metafunction Overview

### Interface Metafunctions Inherited From Proxy

- `Spec`
- `Value`

#### Dox Sources

    /*!
     * @class IteratorProxy
     *
     * @extends Proxy
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Proxy that is implemented by an iterator.
     *
     * @signature template <typename TIterator> class Proxy<IteratorProxy<TIterator>
     *            >;
     *
     * @tparam TIterator The iterator to store internally.
     */